| Home | Libraries | People | FAQ | More

## Function template file_time_to_microseconds

boost::date_time::winapi::file_time_to_microseconds

## Synopsis

    // In header: <boost/date_time/filetime_functions.hpp>

    template<typename FileTimeT>
      boost::uint64_t file_time_to_microseconds(FileTimeT const & ft);

## Description

The function converts file_time into number of microseconds elapsed since 1970-Jan-01

Notes: | Only dates after 1970-Jan-01 are supported. Dates before will be wrapped. The function is templated on the FILETIME type, so that it can be used with both native FILETIME and the ad-hoc boost::date_time::winapi::file_time type.